//#ifdef GL_ES
//precision lowp float;
//#endif
//
//varying vec4 v_fragmentColor;
//varying vec2 v_texCoord;
//
//void main()
//{
//	gl_FragColor = v_fragmentColor;
//    gl_FragColor = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    //gl_FragColor = texture2D(CC_Texture0, v_texCoord);
    //gl_FragColor = v_fragmentColor * vec4(1,0.0,0.0,1.0);
    //float color = dot((gl_FragCoord.xy - coord.xy), vec2(1, 1)) / (coord.width * coord.height)
    //gl_FragColor = v_fragmentColor * vec4(color, color, color, 1.0);

	//vec2 p = (gl_FragCoord.xy - rect.xy) / rect.zw;

    //float r = length(p);

    //float time = CC_Time[3];

    //float tt = mod(time,2.0)/2.0;

    //gl_FragColor = vec4(rect.x, rect.y, rect.z, 1.0);
//}

#ifdef GL_ES

precision lowp float;
varying mediump vec2 v_texCoord;
varying lowp vec4 v_fragmentColor;

#else

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

#endif

uniform float len;
uniform vec2 origin;

//模糊blur的步长，这里只是demo，正式使用由外部传入（uniform类型）
//const vec2 step = vec2(0.003, 0.002);

void main(void)
{
//    //获得当前点的颜色
//    vec3 color = texture2D(CC_Texture0, v_texCoord).rgb;
//    //该权值用于自身对结果的影响
//    float weight = 30.0;
//    //加入alpha权重，alpha越大，权值assess越小
//    float assess = pow(texture2D(CC_Texture0, v_texCoord).a, 3.0)*weight;
//    //开始计算平均alpha值
//    float alpha = assess;
//    vec2 step = vec2(0.003, 0.002);
//    //以下为高斯模糊（仅对alpha）
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(-3.0*step.x, -3.0*step.y)).a;
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(-2.0*step.x, -2.0*step.y)).a;
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(-1.0*step.x, -1.0*step.y)).a;
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(0.0 , 0.0)).a;
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(1.0*step.x,  1.0*step.y)).a;
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(2.0*step.x,  2.0*step.y)).a;
//    alpha += texture2D(CC_Texture0, v_texCoord.st + vec2(3.0*step.x, -3.0*step.y)).a;
//    alpha /= 7.0+assess;
////    //alpha越大，对颜色影响越小
//    color = clamp(color + (alpha - 1.0), 0.0, 1.0);
////    //进一步加强颜色的区分
//    color = pow(color, vec3(3.0, 3.0, 3.0));
//    //输出
//    gl_FragColor = vec4(color.r, color.g, color.b, alpha);
    
//    vec2 p = (gl_FragCoord.xy - origin.xy);
    
//    vec4 tranorigin = vec4(origin.x, origin.y, 0, 0) * CC_PMatrix;
    
    float alpha = 1.0 - step(len, distance(gl_FragCoord.xy / 10.0, origin.xy / 10.0));
    gl_FragColor = vec4(v_fragmentColor.r, v_fragmentColor.g, v_fragmentColor.b, alpha) * texture2D(CC_Texture0, v_texCoord);
}
